Skip to main content
POST
/
connections
/
{id}
/
data
/
{dataCollectionKey}
/
search
Search records in a data collection
curl --request POST \
  --url https://api.getmembrane.com/connections/{id}/data/{dataCollectionKey}/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "<string>",
  "parameters": {},
  "cursor": "<string>"
}
'
{
  "records": [
    {
      "id": "<string>",
      "name": "<string>",
      "uri": "<string>",
      "iconUri": "<string>",
      "fields": {},
      "udm": "<string>",
      "unifiedFields": {},
      "rawFields": {},
      "createdTime": "<string>",
      "updatedTime": "<string>",
      "deletedTime": "<string>",
      "createdById": "<string>",
      "updatedById": "<string>"
    }
  ],
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
dataCollectionKey
string
required

Query Parameters

collectionParams
object

Data Collection parameters

Body

application/json
query
string
required
parameters
object
cursor
string

Response

200 - application/json
records
object[]
required
cursor
string